Subject: [PATCHv7 00/36] ARM: OMAP: clock data conversion to DT

From: [email-masked] (Nishanth Menon)
Date: Mon, 7 Oct 2013 11:13:43 -0500

On 10/07/2013 10:41 AM, Tony Lindgren wrote:
> * Tero Kristo <[email-masked]> [131006 23:43]:
>> On 10/07/2013 05:15 AM, Tony Lindgren wrote:
>>> * Tero Kristo <[email-masked]> [131004 08:42]:
>>>> Hi,
>>>>
>>>> Just a gentle reminder, anybody have any comments on this series or
>>>> should we start queuing stuff?
>>>
>>> Well omap4 seems to work for me just fine, and omap3 in legacy
>>> mode. But looks like omap3 device tree based booting is breaking
>>> after I pulled in your test branch. I get the following on
>>> 3630 based dm3730.
>>
>> Uart4 breaks because of the issue with basic DT blobs. You need at
>> least this patch:
>>
>> http://linux-kernel.2935.n7.nabble.com/RFC-PATCH-ARM-OMAP3630-Add-generic-machine-descriptor-td722791.html
>>
>> ... from Nishanth to get it to work right. Otherwise the clock init
>> tries to use omap3430 clock data for omap3630 which leaves uart4
>> nodes out.
> 
> OK thanks yes that solves it, I was missing the compatible flag
> for my not quite ready test boards (3730-evm and zoom3).
> I'll apply Nishant's fix with some changes.
> 
I will post out an RFC based on Olof's suggestion in a few mins. will
be nice to see any deltas needed.

-- 
Regards,
Nishanth Menon